<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        $middleware->alias([
            'auth.admin' => \App\Http\Middleware\AuthenticateAdmin::class,
            'guest.admin' => \App\Http\Middleware\RedirectIfAdminAuthenticated::class,
            'auth.petugas' => \App\Http\Middleware\AuthenticatePetugas::class,
            'guest.petugas' => \App\Http\Middleware\RedirectIfPetugasAuthenticated::class,
            'auth.alumni' => \App\Http\Middleware\AuthenticateAlumni::class,
            'guest.alumni' => \App\Http\Middleware\RedirectIfAlumniAuthenticated::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        //
    })->create();
